stash_list {git2r} | R Documentation

## List stashes in repository

### Description

List stashes in repository

### Usage

    stash_list(repo)

    ## S4 method for signature 'missing'
    stash_list()

    ## S4 method for signature 'git_repository'
    stash_list(repo)

### Arguments

`repo` | The repository `object` `git_repository`. If the `repo` argument is missing, the repository is searched for with `discover_repository` in the current working directory.

### Value

list of stashes in repository

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    # Configure a user
    config(repo, user.name="Alice", user.email="alice@example.org")

    # Create a file, add and commit
    writeLines("Hello world!", file.path(path, "test-1.txt"))
    add(repo, 'test-1.txt')
    commit(repo, "Commit message")

    # Make one more commit
    writeLines(c("Hello world!", "HELLO WORLD!"), file.path(path, "test-1.txt"))
    add(repo, 'test-1.txt')
    commit(repo, "Next commit message")

    # Create one more file
    writeLines("Hello world!", file.path(path, "test-2.txt"))

    # Check that there are no stashes
    stash_list(repo)

    # Stash
    stash(repo)

    # Only untracked changes, therefore no stashes
    stash_list(repo)

    # Stash and include untracked changes
    stash(repo, "Stash message", untracked=TRUE)

    # View stash
    stash_list(repo)

    ## End(Not run)

[Package git2r version 0.20.0 Index]